Bug 501993 - RFE: update to 3.17.0
RFE: update to 3.17.0
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: freeimage (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Bruno Wolff III
Fedora Extras Quality Assurance
:
Depends On: 1260250
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-21 10:06 EDT by Jonathan Underwood
Modified: 2015-09-26 13:33 EDT (History)
4 users (show)

See Also:
Fixed In Version: freeimage-3.17.0-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-26 13:33:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to unbundle libraries in 3.15.4 (28.04 KB, patch)
2014-01-15 19:04 EST, Sandro Mani
no flags Details | Diff

  None (edit)
Description Jonathan Underwood 2009-05-21 10:06:27 EDT
Description of problem:
Hi Hans,

Any chance of updating the package to the recently released 3.12.0 - see 

http://freeimage.sourceforge.net/news.html

for changes.

Thanks.
Comment 1 Fedora Admin XMLRPC Client 2013-01-29 08:08:58 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Richard Shaw 2013-02-17 12:55:22 EST
Current release is 3.15.4
Comment 3 Fedora Admin XMLRPC Client 2013-05-15 22:27:27 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Bruno Wolff III 2013-10-12 14:34:01 EDT
This needs a bit of work to get to build again. Also the licenses have changed. I have asked legal about whether or not to include the FIPL.
Comment 5 Sandro Mani 2014-01-07 13:20:14 EST
FWIW, I needed a mingw version of freeimage, and ended up trying to clean up the mess with the bundled libraries. Result is here [1], where the FreeImage-3.15.4_syslibs.patch and portions of the FreeImage-3.15.4_makefiles.patch in the SRPM should also work for the native version. Note about bundled libraries: libtiff basically cannot be unbundled (and all other distros AFAICS bundle it), while libjpeg needs to be bundled for one module (the rest uses the system libjpeg-turbo). See also [2].

[1] http://smani.fedorapeople.org/review/mingw-freeimage-3.15.4-1.fc21.src.rpm
[2] https://bugzilla.redhat.com/show_bug.cgi?id=1049546#c1
Comment 6 Sandro Mani 2014-01-15 19:04:44 EST
Created attachment 850745 [details]
Patch to unbundle libraries in 3.15.4

The attached patch completely unbundles all bundled libraries (albeit by disabling some functionality, which however was already disabled for the same reason in 3.10.0). Thanks for the work goes to František Dvořák.
Comment 7 Jiri Kastner 2014-06-27 09:31:15 EDT
ther is another update - 3.16.0
Comment 8 Bruno Wolff III 2015-09-07 18:17:46 EDT
We may need jxrlib to update to 3.17.0. I am not sure what functionallity would be lost without this or even if the package could still be usefully built without it.
Also we probably want 3.17.0 so that we can easily add the fix for  	CVE-2015-0852.
Comment 9 Jonathan Underwood 2015-09-08 05:47:19 EDT
Each time you update the package you need to bump the release number and repost the SPEC and SRPM URLs in the format you used in your initial submission comment- this allows tools such as the fedora review script to function.

At the moment you have a patch, and a CMakeLists.txt file as an extra source. You need to add a comment saying if these have been submitted upstream 9with a ticket or bug url if possible), or if not why not.

If you get these things fixed up, I'll do a review.
Comment 10 Jonathan Underwood 2015-09-08 05:48:19 EDT
Gah, sorry, typed Comment #9 into the wrong BZ, please ignore.
Comment 11 Sandro Mani 2015-09-09 09:27:23 EDT
jxrlib is available in the repos.
Comment 12 Fedora Update System 2015-09-17 11:36:37 EDT
freeimage-3.17.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16106
Comment 13 Fedora Update System 2015-09-17 17:29:32 EDT
freeimage-3.17.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update freeimage'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16106
Comment 14 Fedora Update System 2015-09-26 13:33:50 EDT
freeimage-3.17.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.